org.eclipse.oomph.setup.workingsets

## Interface SetupWorkingSetsPackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    SetupWorkingSetsPackageImpl

      public interface SetupWorkingSetsPackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `SetupWorkingSetsFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore schemaLocation='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/SetupWorkingSets.ecore'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.workingsets.p2' repository='${oomph.update.url}' installableUnits='org.eclipse.oomph.setup.workingsets.feature.group'" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.setup.workingsets.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SetupWorkingSetsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SetupWorkingSetsPackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `WORKING_SET_TASK` The meta object id for the '`Working Set Task`' class.
    `static int` | `WORKING_SET_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `WORKING_SET_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `WORKING_SET_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `WORKING_SET_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `WORKING_SET_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `WORKING_SET_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `WORKING_SET_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `WORKING_SET_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `WORKING_SET_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `WORKING_SET_TASK__WORKING_SETS` The feature id for the 'Working Sets' containment reference list.
    `static int` | `WORKING_SET_TASK_FEATURE_COUNT` The number of structural features of the 'Working Set Task' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetupWorkingSetsFactory` | `getSetupWorkingSetsFactory()` Returns the factory that creates the instances of the model.
    `EReference` | `getWorkingSetTask_WorkingSets()` Returns the meta object for the containment reference list '`Working Sets`'.
    `EClass` | `getWorkingSetTask()` Returns the meta object for class '`Working Set Task`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final SetupWorkingSetsPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### WORKING_SET_TASK

          static final int WORKING_SET_TASK

      The meta object id for the '`Working Set Task`' class.
      See Also:
        `WorkingSetTaskImpl`, `SetupWorkingSetsPackageImpl.getWorkingSetTask()`, Constant Field Values
      Generated

    - #### WORKING_SET_TASK__ANNOTATIONS

          static final int WORKING_SET_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__ID

          static final int WORKING_SET_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__DESCRIPTION

          static final int WORKING_SET_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__SCOPE_TYPE

          static final int WORKING_SET_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__EXCLUDED_TRIGGERS

          static final int WORKING_SET_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__DISABLED

          static final int WORKING_SET_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__PREDECESSORS

          static final int WORKING_SET_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__SUCCESSORS

          static final int WORKING_SET_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__RESTRICTIONS

          static final int WORKING_SET_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK__WORKING_SETS

          static final int WORKING_SET_TASK__WORKING_SETS

      The feature id for the 'Working Sets' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### WORKING_SET_TASK_FEATURE_COUNT

          static final int WORKING_SET_TASK_FEATURE_COUNT

      The number of structural features of the 'Working Set Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getWorkingSetTask

          EClass getWorkingSetTask()

      Returns the meta object for class '`Working Set Task`'.
      Returns:
        the meta object for class 'Working Set Task'.
      See Also:
        `WorkingSetTask`
      Generated

    - #### getWorkingSetTask_WorkingSets

          EReference getWorkingSetTask_WorkingSets()

      Returns the meta object for the containment reference list '`Working Sets`'.
      Returns:
        the meta object for the containment reference list 'Working Sets'.
      See Also:
        `WorkingSetTask.getWorkingSets()`, `getWorkingSetTask()`
      Generated

    - #### getSetupWorkingSetsFactory

          SetupWorkingSetsFactory getSetupWorkingSetsFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html